

## Key point

```
// https://stackoverflow.com/questions/15078060/embedding-python-in-qt-5
// https://doc.qt.io/qt-5/signalsandslots.html#using-qt-with-3rd-party-signals-and-slots
```

`slots` used by python

signals -> Q_SIGNALS 

slots   -> Q_SLOTS 

emit    -> Q_EMIT



## TODO

after `PyRun_SimpleString()` nothing output

have to use Py_FinalizeEx()



